#!/bin/sh
SHELL = /bin/sh
PYTHON = /usr/bin/python
DOXYGEN=/usr/bin/doxygen
VERSION=0.1

prefix = $(HOME)/tmp
docdir = $(prefix)/share/doc

EXTERNALS = bacula

all: bacula

# cleanup old perl classes
.PHONY: clean
clean:
	rm -rf build/*
	rm bacula
	

## bacula library wrapper
clib:
    python setup.py --prefix ./build

## make bacula_client libraries
.PHONY: bacula
bacula:
	cd ./bacula_repo ; \
	./configure \
		--enable-client-only \
		--prefix=$(PWD)/build \
		; \
	make ; \
	make install
	touch bacula
	
clean_bacula:
	cd ./bacula_repo ; \
	make clean 

## remove generated sources
cleaner: clean clean_bacula
